import { ElementRef } from '@angular/core';
import { BabylonImageI, BabylonTextInfoI } from '../../../../interfaces';
import { BabylonStyleGlobalItem } from '../../../../interfaces/babylon-style.interface';
import * as i0 from "@angular/core";
export declare class CollapsableInfoV2Component {
    moreTextOpen: boolean;
    moreTextModule?: ElementRef<HTMLElement>;
    toggleButton?: ElementRef<HTMLElement>;
    texts?: BabylonTextInfoI;
    styles?: BabylonStyleGlobalItem;
    constructor();
    toggleMoreText(): void;
    closeMoreText(): void;
    trackElement(index: number): number;
    backgroundImage(element: BabylonImageI): string;
    private scrollToElement;
    static ɵfac: i0.ɵɵFactoryDeclaration<CollapsableInfoV2Component, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CollapsableInfoV2Component, "collapsable-info-v2", never, { "texts": { "alias": "texts"; "required": false; }; "styles": { "alias": "styles"; "required": false; }; }, {}, never, never, true, never>;
}
